io.vertx.sqlclient

## Interface RowStream<T>

- All Superinterfaces:
    ReadStream<T>, StreamBase

      public interface RowStream<T>
      extends ReadStream<T>

  A row oriented stream.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Future<Void>` | `close()` Close the stream and release the resources.
    `void` | `close(Handler<AsyncResult<Void>> completionHandler)` Close the stream and release the resources.
    `RowStream<T>` | `endHandler(Handler<Void> endHandler)` Set an end handler.
    `RowStream<T>` | `exceptionHandler(Handler<Throwable> handler)` Set an exception handler on the read stream.
    `RowStream<T>` | `fetch(long l)` Fetch the specified `amount` of elements.
    `RowStream<T>` | `handler(Handler<T> handler)` Set a data handler.
    `RowStream<T>` | `pause()` Pause the `ReadStream`, it sets the buffer in `fetch` mode and clears the actual demand.
    `RowStream<T>` | `resume()` Resume reading, and sets the buffer in `flowing` mode.

    - ### Methods inherited from interface io.vertx.core.streams.ReadStream

      `pipe, pipeTo, pipeTo`

- - ### Method Detail

    - #### exceptionHandler

          RowStream<T> exceptionHandler(Handler<Throwable> handler)

      Description copied from interface: `ReadStream`
      Set an exception handler on the read stream.
      Specified by:
        `exceptionHandler` in interface `ReadStream<T>`
      Specified by:
        `exceptionHandler` in interface `StreamBase`
      Parameters:
        `handler` - the exception handler
      Returns:
        a reference to this, so the API can be used fluently

    - #### handler

          RowStream<T> handler(Handler<T> handler)

      Description copied from interface: `ReadStream`
      Set a data handler. As data is read, the handler will be called with the data.
      Specified by:
        `handler` in interface `ReadStream<T>`
      Returns:
        a reference to this, so the API can be used fluently

    - #### pause

          RowStream<T> pause()

      Description copied from interface: `ReadStream`
      Pause the `ReadStream`, it sets the buffer in `fetch` mode and clears the actual demand.

      While it's paused, no data will be sent to the data `handler`.

      Specified by:
        `pause` in interface `ReadStream<T>`
      Returns:
        a reference to this, so the API can be used fluently

    - #### resume

          RowStream<T> resume()

      Description copied from interface: `ReadStream`
      Resume reading, and sets the buffer in `flowing` mode.

      If the `ReadStream` has been paused, reading will recommence on it.
      Specified by:
        `resume` in interface `ReadStream<T>`
      Returns:
        a reference to this, so the API can be used fluently

    - #### endHandler

          RowStream<T> endHandler(Handler<Void> endHandler)

      Description copied from interface: `ReadStream`
      Set an end handler. Once the stream has ended, and there is no more data to be read, this handler will be called.
      Specified by:
        `endHandler` in interface `ReadStream<T>`
      Returns:
        a reference to this, so the API can be used fluently

    - #### fetch

          RowStream<T> fetch(long l)

      Description copied from interface: `ReadStream`
      Fetch the specified `amount` of elements. If the `ReadStream` has been paused, reading will recommence with the specified `amount` of items, otherwise the specified `amount` will be added to the current stream demand.
      Specified by:
        `fetch` in interface `ReadStream<T>`
      Returns:
        a reference to this, so the API can be used fluently

    - #### close

          Future<Void> close()

      Close the stream and release the resources.

    - #### close

          void close(Handler<AsyncResult<Void>> completionHandler)

      Close the stream and release the resources.
      Parameters:
        `completionHandler` - the completion handler for this operation

Copyright © 2021 Eclipse. All rights reserved.